
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef POM_SCAN_H
#define POM_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */


/* Structures du module */
#include "pomPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_POM_FRAMEPOS_POSTER_STR ( FILE *in, FILE *out,
       struct POM_FRAMEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_POS_POSTER_STR ( FILE *in, FILE *out,
       struct POM_POS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PomIDS ( FILE *in, FILE *out,
       struct PomIDS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_OBJECT_POS ( FILE *in, FILE *out,
       struct POM_OBJECT_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_POS ( FILE *in, FILE *out,
       struct POM_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_EULER_POS ( FILE *in, FILE *out,
       struct POM_EULER_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_ME_POS ( FILE *in, FILE *out,
       struct POM_ME_POS *x, int indent, int nDim, int *dims );
extern int scan_enum_POM_ME_CLASS ( FILE *in, FILE *out,
       enum POM_ME_CLASS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_SE_POSTER ( FILE *in, FILE *out,
       struct POM_SE_POSTER *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_SENSOR_POS ( FILE *in, FILE *out,
       struct POM_SENSOR_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_UNC ( FILE *in, FILE *out,
       struct POM_UNC *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_EULER_V ( FILE *in, FILE *out,
       struct POM_EULER_V *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_EULER_VARIANCES ( FILE *in, FILE *out,
       struct POM_EULER_VARIANCES *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_EULER ( FILE *in, FILE *out,
       struct POM_EULER *x, int indent, int nDim, int *dims );
extern int scan_enum_POM_FUSION_METHOD ( FILE *in, FILE *out,
       enum POM_FUSION_METHOD *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_SET_POS ( FILE *in, FILE *out,
       struct POM_SET_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_SE_CREATE_DATA ( FILE *in, FILE *out,
       struct POM_SE_CREATE_DATA *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_ME_CREATE_DATA ( FILE *in, FILE *out,
       struct POM_ME_CREATE_DATA *x, int indent, int nDim, int *dims );
extern int scan_enum_POM_FUSION_FLAG ( FILE *in, FILE *out,
       enum POM_FUSION_FLAG *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_STRING_2 ( FILE *in, FILE *out,
       struct POM_STRING_2 *x, int indent, int nDim, int *dims );
extern int scan_struct_POM_STRING ( FILE *in, FILE *out,
       struct POM_STRING *x, int indent, int nDim, int *dims );
extern int scan_enum_POM_ACTION ( FILE *in, FILE *out,
       enum POM_ACTION *x, int indent, int nDim, int *dims );
extern int scan_enum_POM_FRAME ( FILE *in, FILE *out,
       enum POM_FRAME *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_POM_FRAME ( FILE *in, FILE *out,
       POM_FRAME *x, int indent, int nDim, int *dims );
extern int scan_POM_ACTION ( FILE *in, FILE *out,
       POM_ACTION *x, int indent, int nDim, int *dims );
extern int scan_POM_STRING ( FILE *in, FILE *out,
       POM_STRING *x, int indent, int nDim, int *dims );
extern int scan_POM_STRING_2 ( FILE *in, FILE *out,
       POM_STRING_2 *x, int indent, int nDim, int *dims );
extern int scan_POM_FUSION_FLAG ( FILE *in, FILE *out,
       POM_FUSION_FLAG *x, int indent, int nDim, int *dims );
extern int scan_POM_ME_CREATE_DATA ( FILE *in, FILE *out,
       POM_ME_CREATE_DATA *x, int indent, int nDim, int *dims );
extern int scan_POM_SE_CREATE_DATA ( FILE *in, FILE *out,
       POM_SE_CREATE_DATA *x, int indent, int nDim, int *dims );
extern int scan_POM_SET_POS ( FILE *in, FILE *out,
       POM_SET_POS *x, int indent, int nDim, int *dims );
extern int scan_POM_FUSION_METHOD ( FILE *in, FILE *out,
       POM_FUSION_METHOD *x, int indent, int nDim, int *dims );
extern int scan_POM_EULER ( FILE *in, FILE *out,
       POM_EULER *x, int indent, int nDim, int *dims );
extern int scan_POM_EULER_VARIANCES ( FILE *in, FILE *out,
       POM_EULER_VARIANCES *x, int indent, int nDim, int *dims );
extern int scan_POM_EULER_V ( FILE *in, FILE *out,
       POM_EULER_V *x, int indent, int nDim, int *dims );
extern int scan_POM_UNC ( FILE *in, FILE *out,
       POM_UNC *x, int indent, int nDim, int *dims );
extern int scan_POM_SENSOR_POS ( FILE *in, FILE *out,
       POM_SENSOR_POS *x, int indent, int nDim, int *dims );
extern int scan_POM_SE_POSTER ( FILE *in, FILE *out,
       POM_SE_POSTER *x, int indent, int nDim, int *dims );
extern int scan_POM_ME_CLASS ( FILE *in, FILE *out,
       POM_ME_CLASS *x, int indent, int nDim, int *dims );
extern int scan_POM_ME_POS ( FILE *in, FILE *out,
       POM_ME_POS *x, int indent, int nDim, int *dims );
extern int scan_POM_EULER_POS ( FILE *in, FILE *out,
       POM_EULER_POS *x, int indent, int nDim, int *dims );
extern int scan_POM_POS ( FILE *in, FILE *out,
       POM_POS *x, int indent, int nDim, int *dims );
extern int scan_POM_OBJECT_POS ( FILE *in, FILE *out,
       POM_OBJECT_POS *x, int indent, int nDim, int *dims );
extern int scan_PomIDS ( FILE *in, FILE *out,
       PomIDS *x, int indent, int nDim, int *dims );
extern int scan_POM_POS_POSTER_STR ( FILE *in, FILE *out,
       POM_POS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_POM_FRAMEPOS_POSTER_STR ( FILE *in, FILE *out,
       POM_FRAMEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* POM_SCAN_H */

